local fancy = require "game.modules.menus.fancy"

local BattleMenu = fancy.FancyMenu:extend()

local MENUPOS_X1, MENUPOS_Y = 88, 72
local MENU_WIDTH = 180-32
local MENU_ITEM_NUMBER = 6

function BattleMenu:new(scene, name)
  local x, y = MENUPOS_X1, MENUPOS_Y
  local w = MENU_WIDTH
  BattleMenu.super.new(self, scene, name, x, y, w, MENU_ITEM_NUMBER, true)
end

function BattleMenu:clone(name)
  return BattleMenu(self.scene, name)
end

return BattleMenu
